# $Revision: 1.10 $, $Date: 2009/04/16 20:52:54 $
# TODO: optflags
Summary:	Squid report generator per user/IP/name
Summary(pl.UTF-8):	Generator raportów ze squida
Name:		free-sa
Version:	1.6.2
Release:	1
License:	GPL v3
Group:		Networking/Utilities
Source0:	http://dl.sourceforge.net/free-sa/%{name}-%{version}.tar.gz
# Source0-md5:	4f65f0840ab6f4bdb3513f533d6c4719
Patch0:		%{name}-global.mk.patch
URL:		http://free-sa.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Free-SA is statistic analyzer for daemons log files similar to SARG.
Its main advantages over SARG are much better speed (7x-20x times),
more reports support, crossplatform work and W3C compliance of
generated HTML/CSS reports code.

%description -l pl.UTF-8
Free-SA jest podobnym do SARG analizatorem statystyk z logów demonów.
Jego główną przewagą nad SARG jest szybkość (7-20 razy większa),
obsługa większej liczby raportów, wieloplatformowość oraz zgodność
wygenerowanego kodu HTML/CSS z wytycznymi W3C.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT%{_prefix}

%{__make} -C themes install \
	WWWDIR=$RPM_BUILD_ROOT%{_datadir}/%{name}

install -d $RPM_BUILD_ROOT%{_mandir}
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},/var/cache/%{name}}

mv $RPM_BUILD_ROOT%{_prefix}/man/* $RPM_BUILD_ROOT%{_mandir}
rm -rf $RPM_BUILD_ROOT%{_prefix}/{man,share/doc}
install etc/free-sa.conf.sample.in $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog FAQ INSTALL README THANKS
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir /var/cache/%{name}
%{_datadir}/%{name}/*
%{_mandir}/man[15]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: free-sa.spec,v $
Revision 1.10  2009/04/16 20:52:54  areq
- add cache dir, rel 1 works

Revision 1.9  2009/04/12 18:15:59  areq
- 1.6.2

Revision 1.8  2009/03/23 19:53:32  areq
- 1.6.0

Revision 1.7  2009/03/09 18:55:29  qboosh
- cleanup; todo: optflags

Revision 1.6  2009/02/13 17:57:23  gotar
- pl translations and more specific Group

Revision 1.5  2009/02/13 12:47:38  areq
- 1.5.1

Revision 1.4  2008/12/04 11:00:27  glen
- adapter, add buildroot

Revision 1.3  2008/12/03 18:32:55  areq
- 1.5.0

Revision 1.2  2008/10/17 15:29:22  areq
- add dirs

Revision 1.1  2008/10/17 14:53:27  areq
- raw PLD spec
